<id>
EU Cookies Privacy Popup YaBB 2.6.1
</id>

<version>
0.1
</version>

<mod info>
This mod adds a EU Cookie Privacy notice

Version History
---------------
0.1 - First release - September 02, 2014

For YaBB 2.6.1 

Instructions:
Edit the  'sub euload' section to point to your site's privacy statement. You can also set how many days should elapse before the notice reappears.

Apply the mod and upload (in ASCII mode):

cgi-bin/yabb2/Admin/Modlist.pm
cgi-bin/yabb2/Sources/Subs.pm
cgi-bin/yabb2/Templates/default/default.html
</mod info>

<author>
Dandello
</author>

<homepage>
http://www.yabbforumsoftware.com/cgi-bin/yabb2/YaBB.pl
</homepage>

<edit file>
Admin/ModList.pm
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
    $eucookie = q~EU_Cookies_Privacy_Popup_for_YaBB 2.6.1|Dandello|This mod adds a popup EU Cookie Privacy notice|0.1|09/02/14~;
    push @installed_mods, $eucookie;
</add before>

<edit file>
Sources/Subs.pm
</edit file>

<search for>
    $yynavback .=
qq~$tabsep <span onclick="toTop(0)" class="cursor">$img_txt{'102'}</span> &nbsp; $tabsep~;
</search for>

<add after>
    $yyeuload = euload();
</add after>

<search for>
1;
</search for>

<add before>
sub euload {
    my $comp = 'comp';
    my $cookiename = "$cookieusername$comp";
    use CGI qw(:standard);
    my $value = cookie("$cookiename");    
    my $cookieValue = 'on';
    my $cookieDuration = 14;

    if ( $value ) {
        $euload =  q~<script type="text/javascript">
    document.getElementById("cookie-law").style.display = 'none';
</script>~;
    }
    else {
        $euload =  qq~<script type="text/javascript">
    var dropCookie = true;                      // false disables the Cookie, allowing you to style the banner
    var cookieDuration = 14;                    // Number of days before the cookie expires, and the banner reappears
    var cookieName = '$cookiename';        // Name of our cookie
    var cookieValue = 'on';                     // Value of cookie
        
    function createDiv(){
        var divb = document.getElementById("cookie-law");
        divb.innerHTML = '<p>Our website uses cookies and other tracking protocols. By continuing we assume your permission to deploy these protocols, as detailed in our <a href="http://www.yabbforumsoftware.com/privacy.shtml" rel="nofollow" title="Privacy &amp; Cookies Policy">Privacy &amp; Cookies Policy</a>.</p>';
        createCookie(window.cookieName,window.cookieValue, window.cookieDuration); // Create the cookie
    }
    function createCookie(name,value,days) {
        if (days) {
            var date = new Date();
            date.setTime(date.getTime()+(days*24*60*60*1000));
            var expires = "; expires="+date.toGMTString();
        }
        else var expires = "";
        if(window.dropCookie) {
            document.cookie = name+"="+value+expires+"; path=/";
        }
    }
 
    function checkCookie(name) {
        var nameEQ = name + "=";
        var ca = document.cookie.split(';');
        for(var i=0;i < ca.length;i++) {
            var c = ca[i];
            while (c.charAt(0)==' ') c = c.substring(1,c.length);
            if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
        }
        return null;
    }

    function eraseCookie(name) {
        createCookie(name,"",-1);
    }
 
    window.onload = function(){ createDiv(); }
</script>~;
    }
    return $euload;
}
</add before>

<edit file>
Templates/default/default.html
</edit file>

<search for>
</div>
{yabb high}
</search for>

<replace>
    <div id="cookie-law"></div>
</div>
{yabb high}{yabb euload}
</replace>